pioneers-server-console(6)

NAME
pioneers-server-console - command-line game server for Pioneers

SYNOPSIS
pioneers-server-console [ OPTIONS ]

DESCRIPTION
This manual page documents briefly the pioneers-server-console command.

Pioneers is an implementation of the popular, award-winning "Settlers of Catan" board game for the GNOME desktop environment. It uses a client/server model for networked play of between two and eight players. This program provides a console-only server that pioneers clients can connect to.

OPTIONS

  Application options
-g,--game-title game title Load the ruleset specified by game title. The title can be found in the *.game files. You need quotes for titles with spaces.

--filefilename
    Load the ruleset in the file filename.

-p,--port port
    Use port port for player connections.

-P,--players num
    Start a game for num total players (including computer players).

-v,--points points
    Specify the number of "victory points" required to win the game.

-R,--seven-rule[0|1|2]
    "Sevens rule": Specify gameplay behavior when a player rolls a seven. A value of 0 (the default) means that rolling a seven always moves the robber. A value of 1 requires the player to re-roll if a seven is rolled on the first two turns. A value of 2 means the player always re-rolls.

-T,--terrain[0|1]
    Choose a terrain type: 0 for the default, or 1 for random terrain.

-c,--computer-players num
    Start up num computer players.

--version
    Show version information.

  Metaserver options

-r,--register
    Register with a metaserver. The metaserver to use can be overridden with the -m option. Default metaserver: pioneers.debian.net

-m,--metaserver metaserver
    Register this server with the metaserver at the specified address.

-n, --hostname hostname
    Use this hostname instead of the hostname reported by hostname(1).

  Miscellaneous options
-x,--auto-quit Automatically exit after a player has won.

-k,--empty-timeout secs
    Automatically stop the server if no one has connected after secs seconds.

-t,--tournament mins
    Tournament mode: add AI players after mins minutes.

-a,--admin-port port
    Listen for administrative commands on port port.

-s,--admin-wait
    Don't start the game immediately; wait for a command on the admin port (-a) instead.

--fixed-seating-order
    Give players numbers according to the order they enter the game.

--debug
    Enable debug messages.

ENVIRONMENT
The default settings of the server can be influenced with the following three environment variables:

PIONEERS_METASERVER
    The hostname of the metaserver when no metaserver is specified on the command-line.

PIONEERS_SERVER_NAME
    The hostname of the server. If it is not set, the hostname is determined by hostname(1).

PIONEERS_DIR
    The path to the game definition files. If it is not set, the default installation path will be used.

FILES
/usr/share/games/pioneers/*.game and $XDG_DATA_HOME/pioneers/*.game
    Game definitions
/usr/share/games/pioneers/computer_names
    A list of names the computer player can use

AUTHOR
This manual page was written by Steve Langasek <vorlon@debian.org>, and updated by Roland Clobus <rclobus@rclobus.nl>. Pioneers was written by Dave Cole <dave@dccs.com.au>, Andy Heroff <aheroff@mediaone.net>, and Roman Hodek <roman@hodek.net>, with contributions from many other developers on the Internet; see the AUTHORS file in the pioneers distribution for a complete list of contributing authors.

SEE ALSO
pioneers(6), pioneers-server-gtk(6), pioneersai(6), hostname(1)